﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="_9334.WebForm1" %>

<%@ Register Assembly="ThinkGeo.MapSuite.WebForms" Namespace="ThinkGeo.MapSuite.WebForms" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var myMap;

        var OnMapCreated = function (map) {
            imgLayer = new OpenLayers.Layer.Image(
                "Image layer",
                "http://dev.openlayers.org/examples/data/4_m_citylights_lg.gif",
                new OpenLayers.Bounds(-180, -88.759, 180, 88.759),
                new OpenLayers.Size(580, 288),
                { 'isBaseLayer': false, 'alwaysInRange': true, 'isLayer' : true }
            );

            imgLayer.setZIndex(110);
            map.addLayers([imgLayer]);

            map.zoomToMaxExtent();
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <cc1:Map ID="Map1" runat="server" Height="600px" Width="800px"></cc1:Map>
        </div>
    </form>
    <script type="text/javascript">
        OpenLayers.Tile.Image.prototype.renderTile = function () {
            if (this.layer.url == null || this.layer.url == '') {
                return true;
            }
            if (this.layer.async) {                
                var id = this.asyncRequestId = (this.asyncRequestId || 0) + 1;
                this.layer.getURLasync(this.bounds, function (url) {
                    if (id == this.asyncRequestId) {
                        this.url = url;
                        this.initImage();
                    }
                }, this);
            } else {                
                this.url = this.layer.getURL(this.bounds);
                
                if (this.url && !this.layer.isLayer && !OpenLayers.String.contains(this.url, 'blank.gif') && !OpenLayers.String.contains(this.layer.CLASS_NAME, 'OSM')
                    && !OpenLayers.String.contains(this.layer.CLASS_NAME, 'WMTS')) {
                    this.url += '&ZOOM=' + this.layer.map.getZoom();                    
                }
                this.initImage();
            }
        }
    </script>
</body>
</html>
